Package org.drinkless.tdlib

# Class TdApi.UpdateNewChosenInlineResult

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewChosenInlineResult

Enclosing class:
  `TdApi`

public static class TdApi.UpdateNewChosenInlineResult extends TdApi.Update
The user has chosen a result of an inline query; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inlineMessageId`
  Identifier of the sent inline message, if known.
  `String`
  `query`
  Text of the query.
  `String`
  `resultId`
  Identifier of the chosen result.
  `long`
  `senderUserId`
  Identifier of the user who sent the query.
  `TdApi.Location`
  `userLocation`
  User location; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewChosenInlineResult()`
  The user has chosen a result of an inline query; for bots only.
  `UpdateNewChosenInlineResult(long senderUserId, TdApi.Location userLocation, String query, String resultId, String inlineMessageId)`
  The user has chosen a result of an inline query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### senderUserId

    public long senderUserId
    Identifier of the user who sent the query.

  - ### userLocation

    @Nullable public TdApi.Location userLocation
    User location; may be null.

  - ### query

    public String query
    Text of the query.

  - ### resultId

    public String resultId
    Identifier of the chosen result.

  - ### inlineMessageId

    public String inlineMessageId
    Identifier of the sent inline message, if known.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewChosenInlineResult

    public UpdateNewChosenInlineResult()
    The user has chosen a result of an inline query; for bots only.

  - ### UpdateNewChosenInlineResult

    public UpdateNewChosenInlineResult(long senderUserId, TdApi.Location userLocation, String query, String resultId, String inlineMessageId)
    The user has chosen a result of an inline query; for bots only.
    Parameters:
      `senderUserId` - Identifier of the user who sent the query.
      `userLocation` - User location; may be null.
      `query` - Text of the query.
      `resultId` - Identifier of the chosen result.
      `inlineMessageId` - Identifier of the sent inline message, if known.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR